ch.qos.logback.classic.spi

## Interface ILoggingEvent

All Superinterfaces:
  DeferredProcessingAware

All Known Implementing Classes:
  LoggingEvent, LoggingEventVO

    public interface ILoggingEvent
    extends DeferredProcessingAware

The central interface in logback-classic. In a nutshell, logback-classic is nothing more than a processing chain built around this interface.

Since:
  0.9.16
Author:
  Ceki Gülcü

### Method Summary

Methods
`java.lang.Object[]` `getArgumentArray()`
`java.lang.StackTraceElement[]` `getCallerData()` Return caller data associated with this event.
`java.lang.String` `getFormattedMessage()`
`Level` `getLevel()`
`LoggerContextVO` `getLoggerContextVO()`
`java.lang.String` `getLoggerName()`
`org.slf4j.Marker` `getMarker()`
`java.util.Map<java.lang.String,java.lang.String>` `getMdc()` Deprecated. Replaced by [@link #getMDCPropertyMap}
`java.util.Map<java.lang.String,java.lang.String>` `getMDCPropertyMap()` Returns the MDC map.
`java.lang.String` `getMessage()`
`java.lang.String` `getThreadName()`
`IThrowableProxy` `getThrowableProxy()`
`long` `getTimeStamp()`
`boolean` `hasCallerData()` If this event has caller data, then true is returned.
`void` `prepareForDeferredProcessing()`

### Method Detail

#### getThreadName

    java.lang.String getThreadName()

#### getLevel

    Level getLevel()

#### getMessage

    java.lang.String getMessage()

#### getArgumentArray

    java.lang.Object[] getArgumentArray()

#### getFormattedMessage

    java.lang.String getFormattedMessage()

#### getLoggerName

    java.lang.String getLoggerName()

#### getLoggerContextVO

    LoggerContextVO getLoggerContextVO()

#### getThrowableProxy

    IThrowableProxy getThrowableProxy()

#### getCallerData

    java.lang.StackTraceElement[] getCallerData()

Return caller data associated with this event. Note that calling this event may trigger the computation of caller data.

Returns:
  the caller data associated with this event.
See Also:
  `hasCallerData()`

#### hasCallerData

    boolean hasCallerData()

If this event has caller data, then true is returned. Otherwise the returned value is null.

Logback components wishing to use caller data if available without causing it to be computed can invoke this method before invoking `getCallerData()`.

Returns:
  whether this event has caller data

#### getMarker

    org.slf4j.Marker getMarker()

#### getMDCPropertyMap

    java.util.Map<java.lang.String,java.lang.String> getMDCPropertyMap()

Returns the MDC map. The returned value can be an empty map but not null.

#### getMdc

    java.util.Map<java.lang.String,java.lang.String> getMdc()

Deprecated. Replaced by [@link #getMDCPropertyMap}
Synonym for [@link #getMDCPropertyMap}.

#### getTimeStamp

    long getTimeStamp()

#### prepareForDeferredProcessing

    void prepareForDeferredProcessing()

Specified by:
  `prepareForDeferredProcessing` in interface `DeferredProcessingAware`